﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;

namespace Server_Listener.Communication
{
	internal class SocketAcceptedEventArgs : EventArgs
	{
		public Socket Accepted { get; private set; }

		public IPAddress Address { get; private set; }

		public IPEndPoint EndPoint { get; private set; }

		public SocketAcceptedEventArgs(Socket socket)
		{
			this.Accepted = socket;
			this.EndPoint = (IPEndPoint)socket.RemoteEndPoint;
			this.Address = this.EndPoint.Address;

		}
	}
}
