﻿using Server_Listener.Communication;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;

namespace Server_Listener
{

	class Program
	{
		private static PServer server;

		static void Main(string[] args)
		{
			server = new PServer(7777);
			server.OnDataReceived += Server_OnDataReceived;

			server.Start();

			Console.ReadKey();
		}

		private static void Server_OnDataReceived(PClientInfo sender, byte[] data)
		{
			Console.WriteLine($"{sender.Client.EndPoint.Port}@{sender.LastReceivedAt}: {sender.LastMessage}");
		}
	}
}
