﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ServerForm.ChildForm
{
	public partial class ImageForm : Form
	{
		private string filePath;

		public ImageForm(Image image)
		{
			InitializeComponent();
			InitInstance(image);
		}

		private void InitInstance(Image image)
		{
			pictureBox.SizeMode = PictureBoxSizeMode.Zoom;
			pictureBox.Image = image;
		}

		private void ImageForm_FormClosed(object sender, FormClosedEventArgs e)
		{
			GC.Collect();
		}
	}
}
